import { Component, ReactNode } from 'react';
import { ItemProps as NextBreadcrumbItemProps } from '@alifd/next/types/breadcrumb';
import { BreadcrumbProps as NextBreadcrumbProps } from '@alifd/next/types/breadcrumb';
interface BreadcrumbItemProps extends NextBreadcrumbItemProps {
    overlay?: ReactNode;
    separator?: ReactNode;
    rtl?: boolean;
    activated?: boolean;
}
declare class BreadcrumbItem extends Component<BreadcrumbItemProps> {
    static Separator({ prefix, children }: {
        prefix: any;
        children: any;
    }): JSX.Element;
    render(): JSX.Element;
}
declare class Breadcrumb extends Component<NextBreadcrumbProps> {
    static Item: typeof BreadcrumbItem;
    render(): JSX.Element;
}
declare const _default: typeof Breadcrumb;
export default _default;
